Author Topic: Named view selection and move  (Read 1225 times)

0 Members and 1 Guest are viewing this topic.

Biscuits

  • Swamp Rat
  • Posts: 502
Named view selection and move
« on: September 10, 2009, 09:00:08 AM »
In using autolisp, how can one make a selection set regarding a named view (not viewports) in modelspace?
We use multiple views within modelspace in drawing where each named view has it's own titleblock serving as boundary for the given named view.
For a variety of reasons our existing drawings of this sort are going to be updated whereas each named view is to be moved to paperspace.
Example: View "1" will be moved to layout tab "01", View "2" moved to layout tab "02, etc..
Our titleblocks have a variety of block names and attributes so that limits us to using a selection set of named views.
These drawings do not use viewports in any way.

Any idea how we can make this work?

Regards to all
Thanks

Lee Mac

  • Seagull
  • Posts: 12929
  • London, England
Re: Named view selection and move
« Reply #1 on: September 11, 2009, 07:36:51 PM »
You could use this to get a list of named views:

Code: [Select]
(vlax-for vw (vla-get-views
               (vla-get-ActiveDocument
                 (vlax-get-acad-object)))
  (setq lst (cons vw lst)))